cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        videoPlayer:cc.VideoPlayer,
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function () {
        this.label.string = this.text;
    },

    // called every frame
    update: function (dt) {

    },
    play:function(){
        var raw = cc.url.raw('resources/' + "video2" + ".mp4");
        console.log("raw url:" + raw + " :" + JSON.stringify(raw)); 
        cc.loader.load(raw, function (arg1, arg2) {
            this.videoPlayer.clip = raw;
            this.videoPlayer.play(); 
            console.log("这里ios在重新指定地址后play 会再调一次COMPLETED 状态，浏览器正常");
        }.bind(this)); 
        if (!raw) {
            console.log("地址不存在");
            return false;
        }
        //this.videoPlayer.play();
        console.log("play play play play");
    },
    onVideoPlayerEvent: function (sender, event) {
        // 
        // PLAYING = 0,
        // PAUSED = 0,
        // STOPPED = 0,
        // COMPLETED = 0,
        // META_LOADED = 0,
        // CLICKED = 0,
        // READY_TO_PLAY = 0,	
        if (event === cc.VideoPlayer.EventType.READY_TO_PLAY) {

            console.log("cc.VideoPlayer.EventType.READY_TO_PLAY!");
        }
        else if (event === cc.VideoPlayer.EventType.META_LOADED) {
            console.log("cc.VideoPlayer.EventType.META_LOADED!");
        }
        else if (event === cc.VideoPlayer.EventType.PLAYING) {

            console.log("cc.VideoPlayer.EventType.PLAYING!");
        }
        else if (event === cc.VideoPlayer.EventType.PAUSED) {

            console.log("cc.VideoPlayer.EventType.PAUSED!");
        }
        else if (event === cc.VideoPlayer.EventType.COMPLETED) {
            console.log("cc.VideoPlayer.EventType.COMPLETED!");
        }
        else if (event === cc.VideoPlayer.EventType.CLICKED) {
            console.log("cc.VideoPlayer.EventType.CLICKED!");
        }
        else if (event === cc.VideoPlayer.EventType.STOPPED) {
            cc.log("cc.VideoPlayer.EventType.STOPPED!");
             
        }
    },
});
